## org.apache.mahout.math.hadoop.stats
Class StandardDeviationCalculatorMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.Writable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.DoubleWritable>
          org.apache.mahout.math.hadoop.stats.StandardDeviationCalculatorMapper

    public class StandardDeviationCalculatorMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.Writable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.DoubleWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Field Summary
`static org.apache.hadoop.io.IntWritable` `SUM`
`static org.apache.hadoop.io.IntWritable` `SUM_OF_SQUARES`
`static org.apache.hadoop.io.IntWritable` `TOTAL_COUNT`

Constructor Summary
`StandardDeviationCalculatorMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.IntWritable key, org.apache.hadoop.io.Writable value, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUM_OF_SQUARES

    public static final org.apache.hadoop.io.IntWritable SUM_OF_SQUARES

### SUM

    public static final org.apache.hadoop.io.IntWritable SUM

### TOTAL_COUNT

    public static final org.apache.hadoop.io.IntWritable TOTAL_COUNT

Constructor Detail

### StandardDeviationCalculatorMapper

    public StandardDeviationCalculatorMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.IntWritable key,
                       org.apache.hadoop.io.Writable value,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.Writable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.DoubleWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.